Package com.documentum.fc.client

# Interface IDfAliasSet

All Superinterfaces:
  `IDfPersistentObject`, `IDfTypedObject`

public interface IDfAliasSet extends IDfPersistentObject
Provides access to business policy aliasing-related data stored in dm_alias_set objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CATETORY_ACL_NAME`
  Represents the alias category when the alias value is an ACL name.
  `static final int`
  `CATETORY_CABINET_PATH`
  Represents the alias category when the alias value is a cabinet path.
  `static final int`
  `CATETORY_FOLDER_PATH`
  Represents the alias category when the alias value is a folder path.
  `static final int`
  `CATETORY_GROUP`
  Represents the alias category when the alias value is a group.
  `static final int`
  `CATETORY_UNKNOWN`
  Represents the alias category when the alias value is unknown.
  `static final int`
  `CATETORY_USER`
  Represents the alias category when the alias value is a user.
  `static final int`
  `CATETORY_USER_OR_GROUP`
  Represents the alias category when the alias value is either a user or a group.

  ### Fields inherited from interface com.documentum.fc.client.IDfPersistentObject

  `CURRENCY_CHECK_ALWAYS, CURRENCY_CHECK_FIRST_ACCESS, CURRENCY_CHECK_NEVER, CURRENCY_CHECK_ONCE_PER_SCOPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `appendAlias(String name, String value, int category, int userCategory, String description)`
  Appends an alias to the alias set.
  `int`
  `findAliasIndex(String name)`
  Returns the index position of an alias in the alias set.
  `int`
  `getAliasCategory(int index)`
  Returns the category of the alias in the specified index position in this alias set.
  `int`
  `getAliasCount()`
  Returns the number of aliases in the alias set.
  `String`
  `getAliasDescription(int index)`
  Returns the description of the alias at the specified index position in this alias set.
  `String`
  `getAliasName(int index)`
  Returns the alias name at the specified index in the list of aliases for the alias set scope.
  `int`
  `getAliasUserCategory(int index)`
  Returns the user category of the alias at the specified index position in the alias set.
  `String`
  `getAliasValue(int index)`
  Returns the value corresponding to the alias at the specified index in this alias set.
  `String`
  `getObjectDescription()`
  Returns the description of the alias set.
  `String`
  `getObjectName()`
  Returns the name of this alias set.
  `String`
  `getOwnerName()`
  Returns the user name of the owner of this alias set.
  `void`
  `removeAlias(String name)`
  Removes an alias from the alias set.
  `void`
  `removeAllAliases()`
  Removes all the aliases in the alias set.
  `void`
  `setAliasCategory(int index, int aliasCategory)`
  Sets the category for the alias in the specified index position in the alias set.
  `void`
  `setAliasDescription(int index, String aliasDescription)`
  Sets the description of the alias at the specified index position in this alias set.
  `void`
  `setAliasName(int index, String aliasName)`
  Sets the alias name at the specified index in this alias set.
  `void`
  `setAliasUserCategory(int index, int aliasUserCategory)`
  Sets the user category of the alias at the specified index position in the alias set.
  `void`
  `setAliasValue(int index, String aliasValue)`
  Sets the value corresponding to the alias at the specified index in this alias set.
  `void`
  `setObjectDescription(String objectDescription)`
  Sets the description of the alias set.
  `void`
  `setObjectName(String objectName)`
  Sets the name of the alias set.
  `void`
  `setOwnerName(String ownerName)`
  Sets the owner name of this alias set.

  ### Methods inherited from interface com.documentum.fc.client.IDfPersistentObject

  `addChildRelative, addParentRelative, apiExec, apiGet, apiSet, destroy, fetch, fetchWithCaching, getAttrAssistance, getAttrAssistanceWithValues, getAttrAsstDependencies, getChildRelatives, getParentRelatives, getPartition, getType, getValidator, getVStamp, getWidgetType, isDeleted, isDirty, isInstanceOf, isNew, isReplica, lock, lockEx, registerEvent, removeChildRelative, removeParentRelative, revert, save, setPartition, signoff, unRegisterEvent, unRegisterEventEx, validateAllRules, validateAttrRules, validateAttrRulesWithValue, validateAttrRulesWithValues, validateObjRules, validateObjRulesWithValues`

  ### Methods inherited from interface com.documentum.fc.client.IDfTypedObject

  `appendBoolean, appendDouble, appendId, appendInt, appendString, appendTime, appendValue, dump, enumAttrs, findAttrIndex, findBoolean, findDouble, findId, findInt, findString, findTime, findValue, getAllRepeatingStrings, getAttr, getAttrCount, getAttrDataType, getBoolean, getDouble, getId, getInt, getLong, getObjectId, getObjectSession, getOriginalSession, getRepeatingBoolean, getRepeatingDouble, getRepeatingId, getRepeatingInt, getRepeatingLong, getRepeatingString, getRepeatingTime, getRepeatingValue, getSession, getSessionManager, getString, getTime, getValue, getValueAt, getValueCount, hasAttr, insertBoolean, insertDouble, insertId, insertInt, insertString, insertTime, insertValue, isAttrRepeating, isNull, remove, removeAll, setBoolean, setDouble, setId, setInt, setNull, setRepeatingBoolean, setRepeatingDouble, setRepeatingId, setRepeatingInt, setRepeatingString, setRepeatingTime, setRepeatingValue, setSessionManager, setString, setTime, setValue, truncate`

- ## Field Details

  - ### CATETORY_UNKNOWN

    static final int CATETORY_UNKNOWN
    Represents the alias category when the alias value is unknown.
    See Also:
      - Constant Field Values

  - ### CATETORY_USER

    static final int CATETORY_USER
    Represents the alias category when the alias value is a user.
    See Also:
      - Constant Field Values

  - ### CATETORY_GROUP

    static final int CATETORY_GROUP
    Represents the alias category when the alias value is a group.
    See Also:
      - Constant Field Values

  - ### CATETORY_USER_OR_GROUP

    static final int CATETORY_USER_OR_GROUP
    Represents the alias category when the alias value is either a user or a group.
    See Also:
      - Constant Field Values

  - ### CATETORY_CABINET_PATH

    static final int CATETORY_CABINET_PATH
    Represents the alias category when the alias value is a cabinet path.
    See Also:
      - Constant Field Values

  - ### CATETORY_FOLDER_PATH

    static final int CATETORY_FOLDER_PATH
    Represents the alias category when the alias value is a folder path.
    See Also:
      - Constant Field Values

  - ### CATETORY_ACL_NAME

    static final int CATETORY_ACL_NAME
    Represents the alias category when the alias value is an ACL name.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getOwnerName

    String getOwnerName() throws DfException
    Returns the user name of the owner of this alias set.
    Returns:
      the owner name of this alias set.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `setOwnerName(java.lang.String)`

  - ### setOwnerName

    void setOwnerName(String ownerName) throws DfException
    Sets the owner name of this alias set.
    Parameters:
      `ownerName` - name of the owner.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getOwnerName()`

  - ### getObjectName

    String getObjectName() throws DfException
    Returns the name of this alias set. This name is unique within this type. Each name here defines a unique alias-binding alias set.
    Returns:
      the name of the alias set.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `setObjectName(java.lang.String)`

  - ### setObjectName

    void setObjectName(String objectName) throws DfException
    Sets the name of the alias set. This name is unique within this type. Each name here defines a unique alias-binding alias set.
    Parameters:
      `objectName` - the name of the alias set.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getObjectName()`

  - ### getObjectDescription

    String getObjectDescription() throws DfException
    Returns the description of the alias set.
    Returns:
      the description of the alias set.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `setObjectDescription(java.lang.String)`

  - ### setObjectDescription

    void setObjectDescription(String objectDescription) throws DfException
    Sets the description of the alias set.
    Parameters:
      `objectDescription` - the description of the alias set.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getObjectDescription()`

  - ### getAliasCount

    int getAliasCount() throws DfException
    Returns the number of aliases in the alias set.
    Returns:
      the number of aliases in the alias set.
    Throws:
      `DfException` - if server error occurs.

  - ### getAliasName

    String getAliasName(int index) throws DfException
    Returns the alias name at the specified index in the list of aliases for the alias set scope.
    Parameters:
      `index` - the index position in this alias set.
    Returns:
      the alias name.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `setAliasName(int, java.lang.String)`

  - ### setAliasName

    void setAliasName(int index, String aliasName) throws DfException
    Sets the alias name at the specified index in this alias set.
    Parameters:
      `index` - the index position in this alias set.
      `aliasName` - the alias name.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `getAliasName(int)`

  - ### getAliasValue

    String getAliasValue(int index) throws DfException
    Returns the value corresponding to the alias at the specified index in this alias set.
    Parameters:
      `index` - the index position in this alias set.
    Returns:
      the alias value.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `setAliasValue(int, java.lang.String)`

  - ### setAliasValue

    void setAliasValue(int index, String aliasValue) throws DfException
    Sets the value corresponding to the alias at the specified index in this alias set.
    Parameters:
      `index` - the index position in this alias set.
      `aliasValue` - the value to set for the alias
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `getAliasValue(int)`

  - ### getAliasCategory

    int getAliasCategory(int index) throws DfException
    Returns the category of the alias in the specified index position in this alias set.
    Parameters:
      `index` - the index position in this alias set.
    Returns:
      the category of the alias.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `setAliasCategory(int, int)`

  - ### setAliasCategory

    void setAliasCategory(int index, int aliasCategory) throws DfException
    Sets the category for the alias in the specified index position in the alias set. This value is set by the creator of the alias object and used by Documentum client applications.

    The server does not verify the category value against the alias value to ensure that alias value is in the specified category.

    Currently, only the following values are allowed:

             - 0 (Unknown)
             - 1 (User, alias_value is a user)
             - 2 (Group, alias_value is a group)
             - 3 (User or Group, alias_value is either a user or a group)
             - 4 (Cabinet Path, alias_value is a cabinet path)
             - 5 (Folder Path, alias_value is a folder path)
             - 6 (ACL Name, alias_value is an ACL name)

    Parameters:
      `index` - the index position in this alias set.
      `aliasCategory` - the alias category.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `getAliasCategory(int)`

  - ### getAliasUserCategory

    int getAliasUserCategory(int index) throws DfException
    Returns the user category of the alias at the specified index position in the alias set. The value is used by the creator of the alias set object. The server does not care about its value.
    Parameters:
      `index` - the index position in this alias set.
    Returns:
      the category of alias at the index in the list.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `setAliasUserCategory(int, int)`

  - ### setAliasUserCategory

    void setAliasUserCategory(int index, int aliasUserCategory) throws DfException
    Sets the user category of the alias at the specified index position in the alias set. This value is used by the creator of the alias set object. The server does not care about its value.
    Parameters:
      `index` -
      `aliasUserCategory` - user alias category in the list.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `getAliasUserCategory(int)`

  - ### getAliasDescription

    String getAliasDescription(int index) throws DfException
    Returns the description of the alias at the specified index position in this alias set.
    Parameters:
      `index` - the index position in this alias set.
    Returns:
      the alias description.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `setAliasDescription(int, java.lang.String)`

  - ### setAliasDescription

    void setAliasDescription(int index, String aliasDescription) throws DfException
    Sets the description of the alias at the specified index position in this alias set.
    Parameters:
      `index` - the index position in this alias set.
      `aliasDescription` - the alias description.
    Throws:
      `DfException` - if server error occurs.
    See Also:
      - `getAliasCount()`
      - `getAliasDescription(int)`

  - ### appendAlias

    int appendAlias(String name, String value, int category, int userCategory, String description) throws DfException
    Appends an alias to the alias set. This adds a new value to each of the attributes represented by the passed arguments. It returns the index to the new alias.
    Parameters:
      `name` - the name of the alias.
      `value` - the value of the alias.
      `category` - the integer valued category of the alias.
      `userCategory` - the integer valued user category that the user chooses to further categorize the alias value.
      `description` - the description of the alias.
    Returns:
      the index value for the alias appended.
    Throws:
      `DfException` - if the server error occurs or the alias name already exists.
    See Also:
      - `setAliasCategory(int, int)`
      - `removeAlias(java.lang.String)`

  - ### removeAlias

    void removeAlias(String name) throws DfException
    Removes an alias from the alias set.
    Parameters:
      `name` - the name of the alias to be removed.
    Throws:
      `DfException` - if the server error occurs.
    See Also:
      - `getAliasCount()`
      - `appendAlias(java.lang.String, java.lang.String, int, int, java.lang.String)`

  - ### findAliasIndex

    int findAliasIndex(String name) throws DfException
    Returns the index position of an alias in the alias set. The index can be used to access other attributes related to the alias name.
    Parameters:
      `name` - the name of the alias.
    Returns:
      the index value of the alias. -1 is returned if the alias is not found.
    Throws:
      `DfException` - if the server error occurs.

  - ### removeAllAliases

    void removeAllAliases() throws DfException
    Removes all the aliases in the alias set.
    Throws:
      `DfException` - if the server error occurs.